Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7476 - usermod with -p option creates an entry in /etc/passwd
Summary: usermod with -p option creates an entry in /etc/passwd
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: shadow-utils
Version: 1.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-12-01 11:49 UTC by jaume.llarden
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-12-01 12:15:33 UTC


Attachments (Terms of Use)

Description jaume.llarden 1999-12-01 11:49:08 UTC
I've noticed that when using shadow passwords, the
command 'usermod -p <encrypted password> user' updates the
entry in /etc/shadow, but also creates an entry in
/etc/passwd! I've tested it with the RPM that came with RedHat 6.0
and with latest RPM available (shadow-utils-19990827-2.i386.rpm)
and in two different machines.

Comment 1 Bernhard Rosenkraenzer 1999-12-01 12:15:59 UTC
Happens here too... Working on it.

Comment 2 Bernhard Rosenkraenzer 2000-08-08 15:42:00 UTC
Fixed.


Note You need to log in before you can comment on or make changes to this bug.